%define archivename     dejavu-ttf
%define fontdir         %{_datadir}/fonts/dejavu

Name:      dejavu-fonts
Version:   2.2
Release:   3%{?dist}
Summary:   DejaVu Fonts
Group:     User Interface/X
License:   Redistributable, with restrictions
URL:       http://dejavu.sf.net/
Source:    http://prdownloads.sourceforge.net/dejavu/%{archivename}-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch: noarch
Conflicts: fontconfig >= 2.3.0

%description
The DejaVu fonts are a font family based on the Bitstream Vera Fonts release
1.10. Its purpose is to provide a wider range of characters (see Current status
page for more information) while maintaining the original look and feel through
the process of collaborative develop

%prep
%setup -q -n %{archivename}-%{version}

%build

%install
/bin/rm -rf %{buildroot}

#fonts
install -d -m 0755 %{buildroot}%{fontdir}
install -m 0644 *.ttf  %{buildroot}%{fontdir}

# "touch" all files we've got flagged as %ghost  but which are not 
# present in the RPM_BUILD_ROOT when RPM looks for files
/bin/touch %{buildroot}%{fontdir}/fonts.cache-1

%clean
/bin/rm -rf %{buildroot}


%post
if [ -x %{_bindir}/fc-cache ]; then 
  %{_bindir}/fc-cache %{_datadir}/fonts
fi

%postun
if [ "$1" = "0" ]; then
  if [ -x %{_bindir}/fc-cache ]; then 
    %{_bindir}/fc-cache %{_datadir}/fonts
  fi
fi


%files
%defattr(0644,root,root,0755)
%doc *.txt AUTHORS BUGS LICENSE NEWS README


%dir %{fontdir}
%{fontdir}/*.ttf
%ghost %{fontdir}/fonts.cache-1

%changelog
* Wed Jan 18 2006 Nicolas Mailhot <nicolas.mailhot at laposte.net> 2.2-3
- > = -> >=

* Mon Jan 16 2006 Nicolas Mailhot <nicolas.mailhot at laposte.net> 2.2-2
- Seems FC-4 and FC-3 have the same needs after all

* Mon Jan 16 2006 Nicolas Mailhot <nicolas.mailhot at laposte.net> 2.2-1
- 2.2
- Conflict on newer fontconfig (yes you have to use the FC5 rpm with this one)

* Wed Dec 28 2005 Nicolas Mailhot <nicolas.mailhot at laposte.net> 2.1-1
- 2.1

* Sun Nov 13 2005 Nicolas Mailhot <nicolas.mailhot at laposte.net> 2.0-1
- 2.0!

* Fri Oct 28 2005 Nicolas Mailhot <nicolas.mailhot at laposte.net> 1.15-2
- add ghosting of %{fontdir}/fonts.cache-2 since it seems
  needed nowadays

* Sun Oct 16 2005 Nicolas Mailhot <nicolas.mailhot at laposte.net> 1.15-1
- 1.15

* Sat Oct 8 2005 Nicolas Mailhot <nicolas.mailhot at laposte.net> 1.14-1
- 1.14
- still using prepackaged TTFs as the FE fontforge package is too old

* Sun Jul 31 2005 Nicolas Mailhot <nicolas.mailhot at laposte.net> 1.12-1
- 1.12

* Thu Jun 23 2005 Nicolas Mailhot <nicolas.mailhot at laposte.net> 1.11-1
- 1.11

* Mon May 22 2005 Nicolas Mailhot <nicolas.mailhot at laposte.net> 1.10-1
- 1.10

* Sat May 21 2005 Nicolas Mailhot <nicolas.mailhot at laposte.net> 1.9-2
- 1.9
- submission to FCE

* Sat Feb 19 2005 Nicolas Mailhot <nicolas.mailhot at laposte.net> 1.7-1
- initial build - using vera as template

* Sat Jan 08 2005 Florian La Roche <laroche@redhat.com>
- rebuilt to get rid of legacy selinux filecontexts
